# ISColoringGetIS

Extracts index sets from the coloring context

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode PETSCVEC_DLLEXPORT ISColoringGetIS(ISColoring iscoloring,PetscInt *nn,IS *isis[])

Collective on ISColoring

### Input Parameter

iscoloring -the coloring context

### Output Parameters

| nn | - number of index sets in the coloring context
| is | - array of index sets

### See Also

ISColoringRestoreIS(), ISColoringView()

Level:advanced
Location: src/vec/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages